Subject: Crash while using org-mode, narrowing, and vc-git

From: E Sabof <[email-masked]>
Date: Thu, 13 Feb 2014 11:33:53 +0000

Using today's trunk version. Find the backtrace below.

Evgeni

Program received signal SIGABRT, Aborted.
0x00007fd4ac8f0f77 in __GI_raise (sig=sig@entry=6)
    at ../nptl/sysdeps/unix/sysv/linux/raise.c:56
56	../nptl/sysdeps/unix/sysv/linux/raise.c: No such file or directory.
(gdb) backtrace
#0  0x00007fd4ac8f0f77 in __GI_raise (sig=sig@entry=6)
    at ../nptl/sysdeps/unix/sysv/linux/raise.c:56
#1  0x00007fd4ac8f45e8 in __GI_abort () at abort.c:90
#2  0x00007fd4ac938aca in __malloc_assert (
    assertion=assertion@entry=0x7fd4aca426e0 "(unsigned long)(size) >= (unsigned long)(nb)", file=file@entry=0x7fd4aca3e18d "malloc.c",
    line=line@entry=3637,
    function=function@entry=0x7fd4aca3e48b <__func__.11428> "_int_malloc")
    at malloc.c:288
#3  0x00007fd4ac93c324 in _int_malloc (av=0x7fd4acc7b740 <main_arena>,
    bytes=<optimized out>) at malloc.c:3637
#4  0x00007fd4ac93d4d0 in __GI___libc_malloc (bytes=1008) at malloc.c:2859
#5  0x00000000005384df in lisp_malloc (nbytes=nbytes@entry=1008,
    type=type@entry=MEM_TYPE_MISC) at alloc.c:893
#6  0x0000000000539617 in allocate_misc (type=type@entry=Lisp_Misc_Marker)
    at alloc.c:3421
#7  0x00000000005397fe in Fmake_marker () at alloc.c:3582
#8  0x0000000000524cbf in Fmatch_data (integers=12091698, reuse=12091698,
    reseat=<optimized out>) at search.c:2766
#9  0x0000000000553528 in Ffuncall (nargs=<optimized out>,
    args=<optimized out>) at eval.c:2822
#10 0x00000000005875cd in exec_byte_code (bytestr=0, vector=8460, maxdepth=6,
    args_template=-1, nargs=7, args=0x1) at bytecode.c:919
#11 0x0000000000553087 in funcall_lambda (fun=8775741, nargs=nargs@entry=3,
    arg_vector=arg_vector@entry=0x7fff40b0a470) at eval.c:2983
#12 0x000000000055335b in Ffuncall (nargs=4, args=0x7fff40b0a468)
    at eval.c:2876
#13 0x00000000005875cd in exec_byte_code (bytestr=0, vector=8460, maxdepth=6,
    args_template=-1, nargs=0, args=0x4) at bytecode.c:919
#14 0x0000000000552fef in funcall_lambda (fun=56899557, nargs=nargs@entry=1,
    arg_vector=arg_vector@entry=0x7fff40b0a668) at eval.c:3049
#15 0x000000000055335b in Ffuncall (nargs=nargs@entry=2,
    args=args@entry=0x7fff40b0a660) at eval.c:2876
#16 0x000000000055368a in call1 (fn=fn@entry=56899557, arg1=<optimized out>)
    at eval.c:2614
#17 0x0000000000559fe2 in mapcar1 (leni=5, vals=vals@entry=0x0,
    fn=fn@entry=56899557, seq=seq@entry=67164422) at fns.c:2320
#18 0x000000000055bce2 in Fmapc (function=56899557, sequence=67164422)
    at fns.c:2409
#19 0x0000000000553538 in Ffuncall (nargs=<optimized out>,
    args=<optimized out>) at eval.c:2818
#20 0x00000000005875cd in exec_byte_code (bytestr=0, vector=8460, maxdepth=6,
    args_template=-1, nargs=140734278707040, args=0x3) at bytecode.c:919
#21 0x0000000000552fef in funcall_lambda (fun=56899637, nargs=nargs@entry=1,
    arg_vector=arg_vector@entry=0x7fff40b0a980) at eval.c:3049
#22 0x000000000055335b in Ffuncall (nargs=2, args=0x7fff40b0a978)
    at eval.c:2876
#23 0x00000000005875cd in exec_byte_code (bytestr=0, vector=8460, maxdepth=6,
    args_template=-1, nargs=140734278707568, args=0x2) at bytecode.c:919
#24 0x0000000000552fef in funcall_lambda (fun=56899813, nargs=nargs@entry=1,
    arg_vector=arg_vector@entry=0x7fff40b0ab80) at eval.c:3049
#25 0x000000000055335b in Ffuncall (nargs=2, args=0x7fff40b0ab78)
    at eval.c:2876
#26 0x00000000005875cd in exec_byte_code (bytestr=0, vector=8460, maxdepth=6,
    args_template=-1, nargs=140734278708064, args=0x2) at bytecode.c:919
#27 0x0000000000552fef in funcall_lambda (fun=56899477, nargs=nargs@entry=3,
    arg_vector=arg_vector@entry=0x7fff40b0ada0) at eval.c:3049
#28 0x000000000055335b in Ffuncall (nargs=4, args=0x7fff40b0ad98)
    at eval.c:2876
#29 0x00000000005875cd in exec_byte_code (bytestr=0, vector=8460, maxdepth=6,
    args_template=-1, nargs=0, args=0x4) at bytecode.c:919
#30 0x0000000000552fef in funcall_lambda (fun=56899173, nargs=nargs@entry=1,
    arg_vector=arg_vector@entry=0x7fff40b0af98) at eval.c:3049
#31 0x000000000055335b in Ffuncall (nargs=nargs@entry=2,
    args=args@entry=0x7fff40b0af90) at eval.c:2876
#32 0x000000000055368a in call1 (fn=fn@entry=56899173, arg1=<optimized out>)
    at eval.c:2614
#33 0x0000000000559fe2 in mapcar1 (leni=leni@entry=3,
    vals=vals@entry=0x7fff40b0b000, fn=fn@entry=56899173,
    seq=seq@entry=92656886) at fns.c:2320
#34 0x000000000055a2c0 in Fmapconcat (function=56899173, sequence=92656886,
    separator=8632641) at fns.c:2356
#35 0x0000000000553528 in Ffuncall (nargs=<optimized out>,
    args=<optimized out>) at eval.c:2822
#36 0x00000000005875cd in exec_byte_code (bytestr=0, vector=8460, maxdepth=6,
    args_template=-1, nargs=140734278709584, args=0x4) at bytecode.c:919
#37 0x0000000000552fef in funcall_lambda (fun=56899477, nargs=nargs@entry=3,
    arg_vector=arg_vector@entry=0x7fff40b0b360) at eval.c:3049
#38 0x000000000055335b in Ffuncall (nargs=4, args=0x7fff40b0b358)
    at eval.c:2876
#39 0x00000000005875cd in exec_byte_code (bytestr=0, vector=8460, maxdepth=6,
    args_template=-1, nargs=0, args=0x4) at bytecode.c:919
#40 0x0000000000552fef in funcall_lambda (fun=56899173, nargs=nargs@entry=1,
    arg_vector=arg_vector@entry=0x7fff40b0b558) at eval.c:3049
#41 0x000000000055335b in Ffuncall (nargs=nargs@entry=2,
    args=args@entry=0x7fff40b0b550) at eval.c:2876
#42 0x000000000055368a in call1 (fn=fn@entry=56899173, arg1=<optimized out>)
    at eval.c:2614
#43 0x0000000000559fe2 in mapcar1 (leni=leni@entry=11,
    vals=vals@entry=0x7fff40b0b5c0, fn=fn@entry=56899173,
    seq=seq@entry=95392246) at fns.c:2320
#44 0x000000000055a2c0 in Fmapconcat (function=56899173, sequence=95392246,
    separator=8632641) at fns.c:2356
#45 0x0000000000553528 in Ffuncall (nargs=<optimized out>,
    args=<optimized out>) at eval.c:2822
#46 0x00000000005875cd in exec_byte_code (bytestr=0, vector=8460, maxdepth=6,
    args_template=-1, nargs=140734278711184, args=0x4) at bytecode.c:919
#47 0x0000000000552fef in funcall_lambda (fun=fun@entry=56899477,
    nargs=nargs@entry=1, arg_vector=arg_vector@entry=0x7fff40b0b920)
    at eval.c:3049
#48 0x00000000005524c4 in apply_lambda (fun=56899477, args=<optimized out>)
    at eval.c:2924
#49 0x000000000055284e in eval_sub (form=<optimized out>) at eval.c:2260
#50 0x0000000000552d55 in Fprogn (body=8460) at eval.c:468
#51 0x000000000055569e in FletX (args=68163782) at eval.c:906
#52 0x0000000000552b3b in eval_sub (form=<optimized out>) at eval.c:2133
#53 0x0000000000552d55 in Fprogn (body=8460) at eval.c:468
#54 0x00000000005530ec in funcall_lambda (fun=fun@entry=68163814,
    nargs=nargs@entry=1, arg_vector=arg_vector@entry=0x7fff40b0bc30)
    at eval.c:3042
#55 0x00000000005524c4 in apply_lambda (fun=68163814, args=<optimized out>)
    at eval.c:2924
#56 0x000000000055284e in eval_sub (form=<optimized out>) at eval.c:2260
#57 0x0000000000555600 in FletX (args=68160278) at eval.c:881
#58 0x0000000000552b3b in eval_sub (form=<optimized out>) at eval.c:2133
#59 0x0000000000552d55 in Fprogn (body=8460) at eval.c:468
#60 0x00000000005530ec in funcall_lambda (fun=68157206, nargs=nargs@entry=1,
    arg_vector=arg_vector@entry=0x7fff40b0c028) at eval.c:3042
#61 0x000000000055335b in Ffuncall (nargs=nargs@entry=2,
    args=args@entry=0x7fff40b0c020) at eval.c:2876
#62 0x000000000055494a in Fapply (nargs=2, args=0x7fff40b0c020) at eval.c:2301
#63 0x0000000000552c28 in eval_sub (form=<optimized out>) at eval.c:2157
#64 0x0000000000552b3b in eval_sub (form=<optimized out>) at eval.c:2133
#65 0x0000000000552d55 in Fprogn (body=8460) at eval.c:468
#66 0x00000000005530ec in funcall_lambda (fun=fun@entry=68038038,
    nargs=nargs@entry=2, arg_vector=arg_vector@entry=0x7fff40b0c250)
    at eval.c:3042
#67 0x00000000005524c4 in apply_lambda (fun=68038038, args=<optimized out>)
    at eval.c:2924
#68 0x000000000055284e in eval_sub (form=<optimized out>) at eval.c:2260
#69 0x0000000000552d55 in Fprogn (body=8460) at eval.c:468
#70 0x00000000005530ec in funcall_lambda (fun=fun@entry=68071558,
    nargs=nargs@entry=1, arg_vector=arg_vector@entry=0x7fff40b0c430)
    at eval.c:3042
#71 0x00000000005524c4 in apply_lambda (fun=68071558, args=<optimized out>)
    at eval.c:2924
#72 0x000000000055284e in eval_sub (form=<optimized out>) at eval.c:2260
#73 0x0000000000552d55 in Fprogn (body=8460) at eval.c:468
#74 0x0000000000552b3b in eval_sub (form=<optimized out>) at eval.c:2133
#75 0x0000000000552d55 in Fprogn (body=8460) at eval.c:468
#76 0x0000000000555955 in Flet (args=68240726) at eval.c:976
#77 0x0000000000552b3b in eval_sub (form=<optimized out>) at eval.c:2133
#78 0x0000000000552d55 in Fprogn (body=8460) at eval.c:468
#79 0x00000000005530ec in funcall_lambda (fun=fun@entry=68239414,
    nargs=nargs@entry=0, arg_vector=arg_vector@entry=0x7fff40b0c860)
    at eval.c:3042
#80 0x00000000005524c4 in apply_lambda (fun=68239414, args=<optimized out>)
    at eval.c:2924
#81 0x000000000055284e in eval_sub (form=form@entry=69455094) at eval.c:2260
#82 0x0000000000555e71 in Feval (form=69455094, lexical=<optimized out>)
    at eval.c:2003
#83 0x0000000000553538 in Ffuncall (nargs=nargs@entry=2,
    args=args@entry=0x7fff40b0caa0) at eval.c:2818
#84 0x0000000000551d42 in internal_condition_case_n (
    bfun=0x553140 <Ffuncall>, nargs=nargs@entry=2,
    args=args@entry=0x7fff40b0caa0, handlers=<optimized out>,
    hfun=hfun@entry=0x438750 <safe_eval_handler>) at eval.c:1436
#85 0x00000000004359f5 in safe_call (nargs=nargs@entry=2,
    func=<optimized out>) at xdisp.c:2568
#86 0x0000000000441645 in safe_call1 (arg=<optimized out>, fn=<optimized out>)
    at xdisp.c:2584
#87 safe_eval (sexpr=<optimized out>) at xdisp.c:2592
#88 display_mode_element (it=it@entry=0x7fff40b0cc50, depth=1, depth@entry=0,
    field_width=field_width@entry=0, precision=precision@entry=0,
    elt=elt@entry=69455078, props=12091698, risky=risky@entry=0)
    at xdisp.c:21634
#89 0x0000000000441f31 in display_mode_line (w=w@entry=0x569ec50,
    face_id=face_id@entry=HEADER_LINE_FACE_ID, format=69455078)
    at xdisp.c:21232
#90 0x00000000004498b8 in pos_visible_p (w=w@entry=0x569ec50, charpos=1,
    x=x@entry=0x7fff40b0f468, y=y@entry=0x7fff40b0f46c,
    rtop=rtop@entry=0x7fff40b0f458, rbot=rbot@entry=0x7fff40b0f45c,
    rowh=rowh@entry=0x7fff40b0f460, vpos=vpos@entry=0x7fff40b0f464)
    at xdisp.c:1405
#91 0x000000000046adca in Fpos_visible_in_window_p (pos=<optimized out>,
    window=<optimized out>, partially=12091698) at window.c:1812
#92 0x0000000000553528 in Ffuncall (nargs=<optimized out>,
    args=<optimized out>) at eval.c:2822
#93 0x00000000005875cd in exec_byte_code (bytestr=0, vector=8460, maxdepth=6,
    args_template=-1, nargs=24, args=0x3) at bytecode.c:919
#94 0x0000000000552fef in funcall_lambda (fun=9004341, nargs=nargs@entry=1,
    arg_vector=arg_vector@entry=0x7fff40b0f780) at eval.c:3049
#95 0x000000000055335b in Ffuncall (nargs=2, args=0x7fff40b0f778)
    at eval.c:2876
#96 0x00000000005875cd in exec_byte_code (bytestr=0, vector=8460, maxdepth=6,
    args_template=-1, nargs=140734278727536, args=0x2) at bytecode.c:919
#97 0x0000000000553087 in funcall_lambda (fun=61554781, nargs=nargs@entry=2,
    arg_vector=arg_vector@entry=0x7fff40b0f900) at eval.c:2983
#98 0x000000000055335b in Ffuncall (nargs=3, args=0x7fff40b0f8f8)
    at eval.c:2876
#99 0x00000000005875cd in exec_byte_code (bytestr=0, vector=8460, maxdepth=6,
    args_template=-1, nargs=7, args=0x3) at bytecode.c:919
#100 0x0000000000553087 in funcall_lambda (fun=62315477, nargs=nargs@entry=0,
    arg_vector=arg_vector@entry=0x7fff40b0fa90) at eval.c:2983
#101 0x000000000055335b in Ffuncall (nargs=1, args=0x7fff40b0fa88)
    at eval.c:2876
#102 0x00000000005875cd in exec_byte_code (bytestr=0, vector=8460,
    maxdepth=6, args_template=-1, nargs=140734278728320, args=0x1)
    at bytecode.c:919
#103 0x0000000000553087 in funcall_lambda (fun=61496709, nargs=nargs@entry=1,
    arg_vector=arg_vector@entry=0x7fff40b0fc98) at eval.c:2983
#104 0x000000000055335b in Ffuncall (nargs=2, args=0x7fff40b0fc90)
    at eval.c:2876
#105 0x00000000005875cd in exec_byte_code (bytestr=0, vector=8460,
    maxdepth=6, args_template=-1, nargs=140734278728840, args=0x2)
    at bytecode.c:919
#106 0x0000000000553087 in funcall_lambda (fun=61558613, nargs=nargs@entry=5,
    arg_vector=arg_vector@entry=0x7fff40b0fe70) at eval.c:2983
#107 0x000000000055335b in Ffuncall (nargs=6, args=0x7fff40b0fe68)
    at eval.c:2876
#108 0x00000000005875cd in exec_byte_code (bytestr=0, vector=8460,
    maxdepth=6, args_template=-1, nargs=140734278729312, args=0x6)
    at bytecode.c:919
#109 0x0000000000553087 in funcall_lambda (fun=61562517, nargs=nargs@entry=2,
    arg_vector=arg_vector@entry=0x7fff40b10008) at eval.c:2983
#110 0x000000000055335b in Ffuncall (nargs=nargs@entry=3,
    args=args@entry=0x7fff40b10000) at eval.c:2876
#111 0x000000000055478c in Fapply (nargs=nargs@entry=2,
    args=args@entry=0x7fff40b100b0) at eval.c:2354
#112 0x00000000005549c0 in apply1 (fn=fn@entry=16196466,
    arg=arg@entry=85510902) at eval.c:2588
#113 0x000000000054f4f3 in Fcall_interactively (function=16196466,
    record_flag=12091698, keys=12126685) at callint.c:378
#114 0x0000000000553528 in Ffuncall (nargs=<optimized out>,
    args=<optimized out>) at eval.c:2822
#115 0x00000000005875cd in exec_byte_code (bytestr=0, vector=8460,
    maxdepth=6, args_template=-1, nargs=140734278730352, args=0x4)
    at bytecode.c:919
#116 0x0000000000553087 in funcall_lambda (fun=9548933, nargs=nargs@entry=1,
    arg_vector=arg_vector@entry=0x7fff40b10418) at eval.c:2983
#117 0x000000000055335b in Ffuncall (nargs=nargs@entry=2,
    args=args@entry=0x7fff40b10410) at eval.c:2876
#118 0x000000000055368a in call1 (fn=<optimized out>, arg1=<optimized out>)
    at eval.c:2614
#119 0x00000000004f0dcd in command_loop_1 () at keyboard.c:1556
#120 0x000000000055199e in internal_condition_case (
    bfun=bfun@entry=0x4f0a40 <command_loop_1>, handlers=<optimized out>,
    hfun=hfun@entry=0x4e7a20 <cmd_error>) at eval.c:1354
#121 0x00000000004e314e in command_loop_2 (ignore=ignore@entry=12091698)
    at keyboard.c:1174
#122 0x00000000005518ab in internal_catch (tag=12139202,
    func=func@entry=0x4e3130 <command_loop_2>, arg=12091698) at eval.c:1118
#123 0x00000000004e7647 in command_loop () at keyboard.c:1153
#124 recursive_edit_1 () at keyboard.c:777
#125 0x00000000004e7932 in Frecursive_edit () at keyboard.c:845
#126 0x00000000004175f5 in main (argc=<optimized out>, argv=0x7fff40b107b8)
    at emacs.c:1643

Lisp Backtrace:
"match-data" (0x40b0a2d8)
"replace-regexp-in-string" (0x40b0a470)
0x36437e0 PVEC_COMPILED
"mapc" (0x40b0a770)
"xmlgen-string-escape" (0x40b0a980)
"xmlgen-attr-to-string" (0x40b0ab80)
"xmlgen" (0x40b0ada0)
0x3643660 PVEC_COMPILED
"mapconcat" (0x40b0b150)
"xmlgen" (0x40b0b360)
0x3643660 PVEC_COMPILED
"mapconcat" (0x40b0b790)
"xmlgen" (0x40b0b920)
"let*" (0x40b0bb18)
"smt/t-export-default-xml" (0x40b0bc30)
"let*" (0x40b0be18)
"smt/t-export-default" (0x40b0c028)
"apply" (0x40b0c020)
"if" (0x40b0c138)
"smt/maybe-funcall" (0x40b0c250)
"smt/t-export" (0x40b0c430)
"cond" (0x40b0c5d8)
"let" (0x40b0c748)
"smt/modeline-format" (0x40b0c860)
"eval" (0x40b0caa8)
"pos-visible-in-window-p" (0x40b0f560)
"shrink-window-if-larger-than-buffer" (0x40b0f780)
"vc-diff-finish" (0x40b0f900)
0x3b6dbd0 PVEC_COMPILED
"vc-exec-after" (0x40b0fc98)
"vc-diff-internal" (0x40b0fe70)
"vc-diff" (0x40b10008)
"call-interactively" (0x40b10280)
"command-execute" (0x40b10418)
(gdb) continue
Continuing.

Breakpoint 1, terminate_due_to_signal (sig=sig@entry=6,
    backtrace_limit=backtrace_limit@entry=40) at emacs.c:350
350	{